### Method

# Clutter Transition get_animatable

#### Declaration [src]

    ClutterAnimatable*
    clutter_transition_get_animatable (
      ClutterTransition* transition
    )

#### Description [src]

Retrieves the `ClutterAnimatable` set using `clutter_transition_set_animatable()`.

Gets property | `Clutter.Transition:animatable`

#### Return value

Type: `ClutterAnimatable`

A `ClutterAnimatable`, or `NULL`; the returned animatable is owned by the `ClutterTransition`, and it should not be freed directly.

The returned data is owned by the instance.